aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/zope-password/Manifest1
-rw-r--r--dev-python/zope-password/metadata.xml22
-rw-r--r--dev-python/zope-password/zope-password-4.4.ebuild55
3 files changed, 78 insertions, 0 deletions
diff --git a/dev-python/zope-password/Manifest b/dev-python/zope-password/Manifest
new file mode 100644
index 0000000..197f69d
--- /dev/null
+++ b/dev-python/zope-password/Manifest
@@ -0,0 +1 @@
+DIST zope-password-4.4.gh.tar.gz 29577 BLAKE2B 812c4fea66a96fa20c3dac09fc429bfced5f4b84c9825f354ce50aaeddeb7792bc780b37a66001e155ef73957f367fcccffde7b0ac2fdd52c8bcf765a6a6b434 SHA512 acfaf7ab00385d610a502993f35c0d574d10754d806c84ccbd17533cff2d08678d6592455eb163cec77085b28455c8717e0eb8e9f9d74f1ce99ec668f7833cc4
diff --git a/dev-python/zope-password/metadata.xml b/dev-python/zope-password/metadata.xml
new file mode 100644
index 0000000..c4155c4
--- /dev/null
+++ b/dev-python/zope-password/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package provides a password manager mechanism. Password manager is an utility object that can encode and check encoded passwords.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.password/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.password/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopepassword.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.password</remote-id>
+ <remote-id type="pypi">zope.password</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-password/zope-password-4.4.ebuild b/dev-python/zope-password/zope-password-4.4.ebuild
new file mode 100644
index 0000000..1158375
--- /dev/null
+++ b/dev-python/zope-password/zope-password-4.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Password encoding and checking utilities"
+HOMEPAGE="https://github.com/zopefoundation/zope.password"
+SRC_URI="https://github.com/zopefoundation/zope.password/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/bcrypt[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-schema[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/zope-security[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}